import{S as Ta,i as La,s as Aa,e as a,k as f,w as x,t as s,M as qa,c as i,d as t,m as d,a as o,x as P,h as r,b as p,G as e,g as _,y as $,q as D,o as k,B as S,v as Ma,L as Ca}from"../../../../chunks/vendor-hf-doc-builder.js";import{D as K}from"../../../../chunks/Docstring-hf-doc-builder.js";import{C as ja}from"../../../../chunks/CodeBlock-hf-doc-builder.js";import{I as Sa}from"../../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ea}from"../../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Oa(ve){let h,C,b,m,w;return m=new ja({props:{code:`import PIL
import requests
import torch
from io import BytesIO

from diffusers import StableDiffusionInpaintPipeline


def download_image(url):
    response = requests.get(url)
    return PIL.Image.open(BytesIO(response.content)).convert("RGB")


img_url = "https://raw.githubusercontent.com/CompVis/latent-diffusion/main/data/inpainting_examples/overture-creations-5sI6fQgYIuo.png"
mask_url = "https://raw.githubusercontent.com/CompVis/latent-diffusion/main/data/inpainting_examples/overture-creations-5sI6fQgYIuo_mask.png"

init_image = download_image(img_url).resize((512, 512))
mask_image = download_image(mask_url).resize((512, 512))

pipe = StableDiffusionInpaintPipeline.from_pretrained(
    "runwayml/stable-diffusion-inpainting", torch_dtype=torch.float16
)
pipe = pipe.to("cuda")

prompt = "Face of a yellow cat, high resolution, sitting on a park bench"
image = pipe(prompt=prompt, image=init_image, mask_image=mask_image).images[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> PIL
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableDiffusionInpaintPipeline


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">download_image</span>(<span class="hljs-params">url</span>):
<span class="hljs-meta">... </span>    response = requests.get(url)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> PIL.Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span>img_url = <span class="hljs-string">&quot;https://raw.githubusercontent.com/CompVis/latent-diffusion/main/data/inpainting_examples/overture-creations-5sI6fQgYIuo.png&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_url = <span class="hljs-string">&quot;https://raw.githubusercontent.com/CompVis/latent-diffusion/main/data/inpainting_examples/overture-creations-5sI6fQgYIuo_mask.png&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>init_image = download_image(img_url).resize((<span class="hljs-number">512</span>, <span class="hljs-number">512</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_image = download_image(mask_url).resize((<span class="hljs-number">512</span>, <span class="hljs-number">512</span>))

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = StableDiffusionInpaintPipeline.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;runwayml/stable-diffusion-inpainting&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;Face of a yellow cat, high resolution, sitting on a park bench&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = pipe(prompt=prompt, image=init_image, mask_image=mask_image).images[<span class="hljs-number">0</span>]`}}),{c(){h=a("p"),C=s("Examples:"),b=f(),x(m.$$.fragment)},l(l){h=i(l,"P",{});var v=o(h);C=r(v,"Examples:"),v.forEach(t),b=d(l),P(m.$$.fragment,l)},m(l,v){_(l,h,v),e(h,C),_(l,b,v),$(m,l,v),w=!0},p:Ca,i(l){w||(D(m.$$.fragment,l),w=!0)},o(l){k(m.$$.fragment,l),w=!1},d(l){l&&t(h),l&&t(b),S(m,l)}}}function Na(ve){let h,C,b,m,w;return m=new ja({props:{code:`import torch
from diffusers import DiffusionPipeline
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

pipe = DiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2-1", torch_dtype=torch.float16)
pipe = pipe.to("cuda")
pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
# Workaround for not accepting attention shape using VAE for Flash Attention
pipe.vae.enable_xformers_memory_efficient_attention(attention_op=None)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Workaround for not accepting attention shape using VAE for Flash Attention</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe.vae.enable_xformers_memory_efficient_attention(attention_op=<span class="hljs-literal">None</span>)`}}),{c(){h=a("p"),C=s("Examples:"),b=f(),x(m.$$.fragment)},l(l){h=i(l,"P",{});var v=o(h);C=r(v,"Examples:"),v.forEach(t),b=d(l),P(m.$$.fragment,l)},m(l,v){_(l,h,v),e(h,C),_(l,b,v),$(m,l,v),w=!0},p:Ca,i(l){w||(D(m.$$.fragment,l),w=!0)},o(l){k(m.$$.fragment,l),w=!1},d(l){l&&t(h),l&&t(b),S(m,l)}}}function Ua(ve){let h,C,b,m,w,l,v,ke,bt,Re,M,N,Se,Q,vt,Ee,yt,Je,y,wt,Y,It,xt,R,Pt,$t,J,Dt,kt,X,St,Et,ye,Ct,jt,Xe,we,Tt,Ze,U,Z,Ce,Lt,At,ee,qt,Mt,te,je,Ot,Nt,ne,Ut,et,Ie,Ft,tt,F,ae,Te,Vt,zt,ie,Gt,Wt,oe,Le,Bt,Ht,se,Kt,nt,c,re,Qt,le,Yt,Ae,Rt,Jt,Xt,pe,Zt,xe,en,tn,nn,T,fe,an,qe,on,sn,V,rn,L,de,ln,Me,pn,fn,Oe,dn,cn,z,ce,mn,me,un,Ne,hn,gn,_n,I,ue,bn,Ue,vn,yn,Fe,wn,In,Ve,xn,Pn,G,$n,W,he,Dn,ze,kn,Sn,B,ge,En,E,Cn,Ge,jn,Tn,We,Ln,An,Be,qn,Mn,He,On,Nn,Un,H,_e,Fn,O,Vn,Ke,zn,Gn,Qe,Wn,Bn,at;return l=new Sa({}),Q=new Sa({}),re=new K({props:{name:"class diffusers.StableDiffusionInpaintPipeline",anchor:"diffusers.StableDiffusionInpaintPipeline",parameters:[{name:"vae",val:": AutoencoderKL"},{name:"text_encoder",val:": CLIPTextModel"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"unet",val:": UNet2DConditionModel"},{name:"scheduler",val:": KarrasDiffusionSchedulers"},{name:"safety_checker",val:": StableDiffusionSafetyChecker"},{name:"feature_extractor",val:": CLIPFeatureExtractor"},{name:"requires_safety_checker",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.StableDiffusionInpaintPipeline.vae",description:`<strong>vae</strong> (<a href="/docs/diffusers/v0.14.0/en/api/models#diffusers.AutoencoderKL">AutoencoderKL</a>) &#x2014;
Variational Auto-Encoder (VAE) Model to encode and decode images to and from latent representations.`,name:"vae"},{anchor:"diffusers.StableDiffusionInpaintPipeline.text_encoder",description:`<strong>text_encoder</strong> (<code>CLIPTextModel</code>) &#x2014;
Frozen text-encoder. Stable Diffusion uses the text portion of
<a href="https://huggingface.co/docs/transformers/model_doc/clip#transformers.CLIPTextModel" rel="nofollow">CLIP</a>, specifically
the <a href="https://huggingface.co/openai/clip-vit-large-patch14" rel="nofollow">clip-vit-large-patch14</a> variant.`,name:"text_encoder"},{anchor:"diffusers.StableDiffusionInpaintPipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>CLIPTokenizer</code>) &#x2014;
Tokenizer of class
<a href="https://huggingface.co/docs/transformers/v4.21.0/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>.`,name:"tokenizer"},{anchor:"diffusers.StableDiffusionInpaintPipeline.unet",description:'<strong>unet</strong> (<a href="/docs/diffusers/v0.14.0/en/api/models#diffusers.UNet2DConditionModel">UNet2DConditionModel</a>) &#x2014; Conditional U-Net architecture to denoise the encoded image latents.',name:"unet"},{anchor:"diffusers.StableDiffusionInpaintPipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/v0.14.0/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a>) &#x2014;
A scheduler to be used in combination with <code>unet</code> to denoise the encoded image latents. Can be one of
<a href="/docs/diffusers/v0.14.0/en/api/schedulers/ddim#diffusers.DDIMScheduler">DDIMScheduler</a>, <a href="/docs/diffusers/v0.14.0/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler">LMSDiscreteScheduler</a>, or <a href="/docs/diffusers/v0.14.0/en/api/schedulers/pndm#diffusers.PNDMScheduler">PNDMScheduler</a>.`,name:"scheduler"},{anchor:"diffusers.StableDiffusionInpaintPipeline.safety_checker",description:`<strong>safety_checker</strong> (<code>StableDiffusionSafetyChecker</code>) &#x2014;
Classification module that estimates whether generated images could be considered offensive or harmful.
Please, refer to the <a href="https://huggingface.co/runwayml/stable-diffusion-v1-5" rel="nofollow">model card</a> for details.`,name:"safety_checker"},{anchor:"diffusers.StableDiffusionInpaintPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>CLIPFeatureExtractor</code>) &#x2014;
Model that extracts features from generated images to be used as inputs for the <code>safety_checker</code>.`,name:"feature_extractor"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion_inpaint.py#L140"}}),fe=new K({props:{name:"__call__",anchor:"diffusers.StableDiffusionInpaintPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str]] = None"},{name:"image",val:": typing.Union[torch.FloatTensor, PIL.Image.Image] = None"},{name:"mask_image",val:": typing.Union[torch.FloatTensor, PIL.Image.Image] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"num_inference_steps",val:": int = 50"},{name:"guidance_scale",val:": float = 7.5"},{name:"negative_prompt",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"num_images_per_prompt",val:": typing.Optional[int] = 1"},{name:"eta",val:": float = 0.0"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"negative_prompt_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"}],parametersDescription:[{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts to guide the image generation. If not defined, one has to pass <code>prompt_embeds</code>.
instead.`,name:"prompt"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.image",description:`<strong>image</strong> (<code>PIL.Image.Image</code>) &#x2014;
<code>Image</code>, or tensor representing an image batch which will be inpainted, <em>i.e.</em> parts of the image will
be masked out with <code>mask_image</code> and repainted according to <code>prompt</code>.`,name:"image"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.mask_image",description:`<strong>mask_image</strong> (<code>PIL.Image.Image</code>) &#x2014;
<code>Image</code>, or tensor representing an image batch, to mask <code>image</code>. White pixels in the mask will be
repainted, while black pixels will be preserved. If <code>mask_image</code> is a PIL image, it will be converted
to a single channel (luminance) before use. If it&#x2019;s a tensor, it should contain one color channel (L)
instead of 3, so the expected shape would be <code>(B, H, W, 1)</code>.`,name:"mask_image"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The height in pixels of the generated image.`,name:"height"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.width",description:`<strong>width</strong> (<code>int</code>, <em>optional</em>, defaults to self.unet.config.sample_size * self.vae_scale_factor) &#x2014;
The width in pixels of the generated image.`,name:"width"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
Guidance scale as defined in <a href="https://arxiv.org/abs/2207.12598" rel="nofollow">Classifier-Free Diffusion Guidance</a>.
<code>guidance_scale</code> is defined as <code>w</code> of equation 2. of <a href="https://arxiv.org/pdf/2205.11487.pdf" rel="nofollow">Imagen
Paper</a>. Guidance scale is enabled by setting <code>guidance_scale &gt; 1</code>. Higher guidance scale encourages to generate images that are closely linked to the text <code>prompt</code>,
usually at the expense of lower image quality.`,name:"guidance_scale"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.negative_prompt",description:`<strong>negative_prompt</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
The prompt or prompts not to guide the image generation. If not defined, one has to pass
<code>negative_prompt_embeds</code>. instead. Ignored when not using guidance (i.e., ignored if <code>guidance_scale</code>
is less than <code>1</code>).`,name:"negative_prompt"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.eta",description:`<strong>eta</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Corresponds to parameter eta (&#x3B7;) in the DDIM paper: <a href="https://arxiv.org/abs/2010.02502" rel="nofollow">https://arxiv.org/abs/2010.02502</a>. Only applies to
<a href="/docs/diffusers/v0.14.0/en/api/schedulers/ddim#diffusers.DDIMScheduler">schedulers.DDIMScheduler</a>, will be ignored for others.`,name:"eta"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
One or a list of <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow">torch generator(s)</a>
to make generation deterministic.`,name:"generator"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated noisy latents, sampled from a Gaussian distribution, to be used as inputs for image
generation. Can be used to tweak the same generation with different prompts. If not provided, a latents
tensor will ge generated by sampling using the supplied random <code>generator</code>.`,name:"latents"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.prompt_embeds",description:`<strong>prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt weighting. If not
provided, text embeddings will be generated from <code>prompt</code> input argument.`,name:"prompt_embeds"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.negative_prompt_embeds",description:`<strong>negative_prompt_embeds</strong> (<code>torch.FloatTensor</code>, <em>optional</em>) &#x2014;
Pre-generated negative text embeddings. Can be used to easily tweak text inputs, <em>e.g.</em> prompt
weighting. If not provided, negative_prompt_embeds will be generated from <code>negative_prompt</code> input
argument.`,name:"negative_prompt_embeds"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generate image. Choose between
<a href="https://pillow.readthedocs.io/en/stable/" rel="nofollow">PIL</a>: <code>PIL.Image.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.14.0/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput">StableDiffusionPipelineOutput</a> instead of a
plain tuple.`,name:"return_dict"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that will be called every <code>callback_steps</code> steps during inference. The function will be
called with the following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function will be called. If not specified, the callback will be
called at every step.`,name:"callback_steps"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion_inpaint.py#L627",returnDescription:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple. When returning a tuple, the first element is a list with the generated images, and the second element is a list of </code>bool<code>s denoting whether the corresponding generated image likely represents "not-safe-for-work" (nsfw) content, according to the </code>safety_checker\`.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/v0.14.0/en/api/pipelines/stable_diffusion/overview#diffusers.pipelines.stable_diffusion.StableDiffusionPipelineOutput"
>StableDiffusionPipelineOutput</a> or <code>tuple</code></p>
`}}),V=new Ea({props:{anchor:"diffusers.StableDiffusionInpaintPipeline.__call__.example",$$slots:{default:[Oa]},$$scope:{ctx:ve}}}),de=new K({props:{name:"enable_attention_slicing",anchor:"diffusers.StableDiffusionInpaintPipeline.enable_attention_slicing",parameters:[{name:"slice_size",val:": typing.Union[str, int, NoneType] = 'auto'"}],parametersDescription:[{anchor:"diffusers.StableDiffusionInpaintPipeline.enable_attention_slicing.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maxium amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/pipelines/pipeline_utils.py#L1107"}}),ce=new K({props:{name:"disable_attention_slicing",anchor:"diffusers.StableDiffusionInpaintPipeline.disable_attention_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/pipelines/pipeline_utils.py#L1123"}}),ue=new K({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.StableDiffusionInpaintPipeline.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.StableDiffusionInpaintPipeline.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/pipelines/pipeline_utils.py#L1050"}}),G=new Ea({props:{anchor:"diffusers.StableDiffusionInpaintPipeline.enable_xformers_memory_efficient_attention.example",$$slots:{default:[Na]},$$scope:{ctx:ve}}}),he=new K({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.StableDiffusionInpaintPipeline.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/pipelines/pipeline_utils.py#L1082"}}),ge=new K({props:{name:"enable_model_cpu_offload",anchor:"diffusers.StableDiffusionInpaintPipeline.enable_model_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion_inpaint.py#L286"}}),_e=new K({props:{name:"enable_sequential_cpu_offload",anchor:"diffusers.StableDiffusionInpaintPipeline.enable_sequential_cpu_offload",parameters:[{name:"gpu_id",val:" = 0"}],source:"https://github.com/huggingface/diffusers/blob/v0.14.0/src/diffusers/pipelines/stable_diffusion/pipeline_stable_diffusion_inpaint.py#L260"}}),{c(){h=a("meta"),C=f(),b=a("h1"),m=a("a"),w=a("span"),x(l.$$.fragment),v=f(),ke=a("span"),bt=s("Text-Guided Image Inpainting"),Re=f(),M=a("h2"),N=a("a"),Se=a("span"),x(Q.$$.fragment),vt=f(),Ee=a("span"),yt=s("StableDiffusionInpaintPipeline"),Je=f(),y=a("p"),wt=s("The Stable Diffusion model was created by the researchers and engineers from "),Y=a("a"),It=s("CompVis"),xt=s(", "),R=a("a"),Pt=s("Stability AI"),$t=s(", "),J=a("a"),Dt=s("runway"),kt=s(", and "),X=a("a"),St=s("LAION"),Et=s(". The "),ye=a("a"),Ct=s("StableDiffusionInpaintPipeline"),jt=s(" lets you edit specific parts of an image by providing a mask and a text prompt using Stable Diffusion."),Xe=f(),we=a("p"),Tt=s("The original codebase can be found here:"),Ze=f(),U=a("ul"),Z=a("li"),Ce=a("em"),Lt=s("Stable Diffusion V1"),At=s(": "),ee=a("a"),qt=s("CampVis/stable-diffusion"),Mt=f(),te=a("li"),je=a("em"),Ot=s("Stable Diffusion V2"),Nt=s(": "),ne=a("a"),Ut=s("Stability-AI/stablediffusion"),et=f(),Ie=a("p"),Ft=s("Available checkpoints are:"),tt=f(),F=a("ul"),ae=a("li"),Te=a("em"),Vt=s("stable-diffusion-inpainting (512x512 resolution)"),zt=s(": "),ie=a("a"),Gt=s("runwayml/stable-diffusion-inpainting"),Wt=f(),oe=a("li"),Le=a("em"),Bt=s("stable-diffusion-2-inpainting (512x512 resolution)"),Ht=s(": "),se=a("a"),Kt=s("stabilityai/stable-diffusion-2-inpainting"),nt=f(),c=a("div"),x(re.$$.fragment),Qt=f(),le=a("p"),Yt=s("Pipeline for text-guided image inpainting using Stable Diffusion. "),Ae=a("em"),Rt=s("This is an experimental feature"),Jt=s("."),Xt=f(),pe=a("p"),Zt=s("This model inherits from "),xe=a("a"),en=s("DiffusionPipeline"),tn=s(`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),nn=f(),T=a("div"),x(fe.$$.fragment),an=f(),qe=a("p"),on=s("Function invoked when calling the pipeline for generation."),sn=f(),x(V.$$.fragment),rn=f(),L=a("div"),x(de.$$.fragment),ln=f(),Me=a("p"),pn=s("Enable sliced attention computation."),fn=f(),Oe=a("p"),dn=s(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),cn=f(),z=a("div"),x(ce.$$.fragment),mn=f(),me=a("p"),un=s("Disable sliced attention computation. If "),Ne=a("code"),hn=s("enable_attention_slicing"),gn=s(` was previously invoked, this method will go
back to computing attention in one step.`),_n=f(),I=a("div"),x(ue.$$.fragment),bn=f(),Ue=a("p"),vn=s("Enable memory efficient attention as implemented in xformers."),yn=f(),Fe=a("p"),wn=s(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),In=f(),Ve=a("p"),xn=s(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Pn=f(),x(G.$$.fragment),$n=f(),W=a("div"),x(he.$$.fragment),Dn=f(),ze=a("p"),kn=s("Disable memory efficient attention as implemented in xformers."),Sn=f(),B=a("div"),x(ge.$$.fragment),En=f(),E=a("p"),Cn=s(`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),Ge=a("code"),jn=s("enable_sequential_cpu_offload"),Tn=s(", this method moves one whole model at a time to the GPU when its "),We=a("code"),Ln=s("forward"),An=s(`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),Be=a("code"),qn=s("enable_sequential_cpu_offload"),Mn=s(", but performance is much better due to the iterative execution of the "),He=a("code"),On=s("unet"),Nn=s("."),Un=f(),H=a("div"),x(_e.$$.fragment),Fn=f(),O=a("p"),Vn=s(`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, unet,
text_encoder, vae and safety checker have their state dicts saved to CPU and then are moved to a
`),Ke=a("code"),zn=s("torch.device('meta') and loaded to GPU only when their specific submodule has its "),Gn=s("forward"),Qe=a("code"),Wn=s("method called. Note that offloading happens on a submodule basis. Memory savings are higher than with"),Bn=s("enable_model_cpu_offload`, but performance is lower."),this.h()},l(n){const u=qa('[data-svelte="svelte-1phssyn"]',document.head);h=i(u,"META",{name:!0,content:!0}),u.forEach(t),C=d(n),b=i(n,"H1",{class:!0});var be=o(b);m=i(be,"A",{id:!0,class:!0,href:!0});var Ye=o(m);w=i(Ye,"SPAN",{});var Hn=o(w);P(l.$$.fragment,Hn),Hn.forEach(t),Ye.forEach(t),v=d(be),ke=i(be,"SPAN",{});var Kn=o(ke);bt=r(Kn,"Text-Guided Image Inpainting"),Kn.forEach(t),be.forEach(t),Re=d(n),M=i(n,"H2",{class:!0});var it=o(M);N=i(it,"A",{id:!0,class:!0,href:!0});var Qn=o(N);Se=i(Qn,"SPAN",{});var Yn=o(Se);P(Q.$$.fragment,Yn),Yn.forEach(t),Qn.forEach(t),vt=d(it),Ee=i(it,"SPAN",{});var Rn=o(Ee);yt=r(Rn,"StableDiffusionInpaintPipeline"),Rn.forEach(t),it.forEach(t),Je=d(n),y=i(n,"P",{});var j=o(y);wt=r(j,"The Stable Diffusion model was created by the researchers and engineers from "),Y=i(j,"A",{href:!0,rel:!0});var Jn=o(Y);It=r(Jn,"CompVis"),Jn.forEach(t),xt=r(j,", "),R=i(j,"A",{href:!0,rel:!0});var Xn=o(R);Pt=r(Xn,"Stability AI"),Xn.forEach(t),$t=r(j,", "),J=i(j,"A",{href:!0,rel:!0});var Zn=o(J);Dt=r(Zn,"runway"),Zn.forEach(t),kt=r(j,", and "),X=i(j,"A",{href:!0,rel:!0});var ea=o(X);St=r(ea,"LAION"),ea.forEach(t),Et=r(j,". The "),ye=i(j,"A",{href:!0});var ta=o(ye);Ct=r(ta,"StableDiffusionInpaintPipeline"),ta.forEach(t),jt=r(j," lets you edit specific parts of an image by providing a mask and a text prompt using Stable Diffusion."),j.forEach(t),Xe=d(n),we=i(n,"P",{});var na=o(we);Tt=r(na,"The original codebase can be found here:"),na.forEach(t),Ze=d(n),U=i(n,"UL",{});var ot=o(U);Z=i(ot,"LI",{});var st=o(Z);Ce=i(st,"EM",{});var aa=o(Ce);Lt=r(aa,"Stable Diffusion V1"),aa.forEach(t),At=r(st,": "),ee=i(st,"A",{href:!0,rel:!0});var ia=o(ee);qt=r(ia,"CampVis/stable-diffusion"),ia.forEach(t),st.forEach(t),Mt=d(ot),te=i(ot,"LI",{});var rt=o(te);je=i(rt,"EM",{});var oa=o(je);Ot=r(oa,"Stable Diffusion V2"),oa.forEach(t),Nt=r(rt,": "),ne=i(rt,"A",{href:!0,rel:!0});var sa=o(ne);Ut=r(sa,"Stability-AI/stablediffusion"),sa.forEach(t),rt.forEach(t),ot.forEach(t),et=d(n),Ie=i(n,"P",{});var ra=o(Ie);Ft=r(ra,"Available checkpoints are:"),ra.forEach(t),tt=d(n),F=i(n,"UL",{});var lt=o(F);ae=i(lt,"LI",{});var pt=o(ae);Te=i(pt,"EM",{});var la=o(Te);Vt=r(la,"stable-diffusion-inpainting (512x512 resolution)"),la.forEach(t),zt=r(pt,": "),ie=i(pt,"A",{href:!0,rel:!0});var pa=o(ie);Gt=r(pa,"runwayml/stable-diffusion-inpainting"),pa.forEach(t),pt.forEach(t),Wt=d(lt),oe=i(lt,"LI",{});var ft=o(oe);Le=i(ft,"EM",{});var fa=o(Le);Bt=r(fa,"stable-diffusion-2-inpainting (512x512 resolution)"),fa.forEach(t),Ht=r(ft,": "),se=i(ft,"A",{href:!0,rel:!0});var da=o(se);Kt=r(da,"stabilityai/stable-diffusion-2-inpainting"),da.forEach(t),ft.forEach(t),lt.forEach(t),nt=d(n),c=i(n,"DIV",{class:!0});var g=o(c);P(re.$$.fragment,g),Qt=d(g),le=i(g,"P",{});var dt=o(le);Yt=r(dt,"Pipeline for text-guided image inpainting using Stable Diffusion. "),Ae=i(dt,"EM",{});var ca=o(Ae);Rt=r(ca,"This is an experimental feature"),ca.forEach(t),Jt=r(dt,"."),dt.forEach(t),Xt=d(g),pe=i(g,"P",{});var ct=o(pe);Zt=r(ct,"This model inherits from "),xe=i(ct,"A",{href:!0});var ma=o(xe);en=r(ma,"DiffusionPipeline"),ma.forEach(t),tn=r(ct,`. Check the superclass documentation for the generic methods the
library implements for all the pipelines (such as downloading or saving, running on a particular device, etc.)`),ct.forEach(t),nn=d(g),T=i(g,"DIV",{class:!0});var Pe=o(T);P(fe.$$.fragment,Pe),an=d(Pe),qe=i(Pe,"P",{});var ua=o(qe);on=r(ua,"Function invoked when calling the pipeline for generation."),ua.forEach(t),sn=d(Pe),P(V.$$.fragment,Pe),Pe.forEach(t),rn=d(g),L=i(g,"DIV",{class:!0});var $e=o(L);P(de.$$.fragment,$e),ln=d($e),Me=i($e,"P",{});var ha=o(Me);pn=r(ha,"Enable sliced attention computation."),ha.forEach(t),fn=d($e),Oe=i($e,"P",{});var ga=o(Oe);dn=r(ga,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),ga.forEach(t),$e.forEach(t),cn=d(g),z=i(g,"DIV",{class:!0});var mt=o(z);P(ce.$$.fragment,mt),mn=d(mt),me=i(mt,"P",{});var ut=o(me);un=r(ut,"Disable sliced attention computation. If "),Ne=i(ut,"CODE",{});var _a=o(Ne);hn=r(_a,"enable_attention_slicing"),_a.forEach(t),gn=r(ut,` was previously invoked, this method will go
back to computing attention in one step.`),ut.forEach(t),mt.forEach(t),_n=d(g),I=i(g,"DIV",{class:!0});var A=o(I);P(ue.$$.fragment,A),bn=d(A),Ue=i(A,"P",{});var ba=o(Ue);vn=r(ba,"Enable memory efficient attention as implemented in xformers."),ba.forEach(t),yn=d(A),Fe=i(A,"P",{});var va=o(Fe);wn=r(va,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),va.forEach(t),In=d(A),Ve=i(A,"P",{});var ya=o(Ve);xn=r(ya,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),ya.forEach(t),Pn=d(A),P(G.$$.fragment,A),A.forEach(t),$n=d(g),W=i(g,"DIV",{class:!0});var ht=o(W);P(he.$$.fragment,ht),Dn=d(ht),ze=i(ht,"P",{});var wa=o(ze);kn=r(wa,"Disable memory efficient attention as implemented in xformers."),wa.forEach(t),ht.forEach(t),Sn=d(g),B=i(g,"DIV",{class:!0});var gt=o(B);P(ge.$$.fragment,gt),En=d(gt),E=i(gt,"P",{});var q=o(E);Cn=r(q,`Offloads all models to CPU using accelerate, reducing memory usage with a low impact on performance. Compared
to `),Ge=i(q,"CODE",{});var Ia=o(Ge);jn=r(Ia,"enable_sequential_cpu_offload"),Ia.forEach(t),Tn=r(q,", this method moves one whole model at a time to the GPU when its "),We=i(q,"CODE",{});var xa=o(We);Ln=r(xa,"forward"),xa.forEach(t),An=r(q,`
method is called, and the model remains in GPU until the next model runs. Memory savings are lower than with
`),Be=i(q,"CODE",{});var Pa=o(Be);qn=r(Pa,"enable_sequential_cpu_offload"),Pa.forEach(t),Mn=r(q,", but performance is much better due to the iterative execution of the "),He=i(q,"CODE",{});var $a=o(He);On=r($a,"unet"),$a.forEach(t),Nn=r(q,"."),q.forEach(t),gt.forEach(t),Un=d(g),H=i(g,"DIV",{class:!0});var _t=o(H);P(_e.$$.fragment,_t),Fn=d(_t),O=i(_t,"P",{});var De=o(O);Vn=r(De,`Offloads all models to CPU using accelerate, significantly reducing memory usage. When called, unet,
text_encoder, vae and safety checker have their state dicts saved to CPU and then are moved to a
`),Ke=i(De,"CODE",{});var Da=o(Ke);zn=r(Da,"torch.device('meta') and loaded to GPU only when their specific submodule has its "),Da.forEach(t),Gn=r(De,"forward"),Qe=i(De,"CODE",{});var ka=o(Qe);Wn=r(ka,"method called. Note that offloading happens on a submodule basis. Memory savings are higher than with"),ka.forEach(t),Bn=r(De,"enable_model_cpu_offload`, but performance is lower."),De.forEach(t),_t.forEach(t),g.forEach(t),this.h()},h(){p(h,"name","hf:doc:metadata"),p(h,"content",JSON.stringify(Fa)),p(m,"id","textguided-image-inpainting"),p(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(m,"href","#textguided-image-inpainting"),p(b,"class","relative group"),p(N,"id","diffusers.StableDiffusionInpaintPipeline"),p(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(N,"href","#diffusers.StableDiffusionInpaintPipeline"),p(M,"class","relative group"),p(Y,"href","https://github.com/CompVis"),p(Y,"rel","nofollow"),p(R,"href","https://stability.ai/"),p(R,"rel","nofollow"),p(J,"href","https://github.com/runwayml"),p(J,"rel","nofollow"),p(X,"href","https://laion.ai/"),p(X,"rel","nofollow"),p(ye,"href","/docs/diffusers/v0.14.0/en/api/pipelines/stable_diffusion/inpaint#diffusers.StableDiffusionInpaintPipeline"),p(ee,"href","https://github.com/runwayml/stable-diffusion#inpainting-with-stable-diffusion"),p(ee,"rel","nofollow"),p(ne,"href","https://github.com/Stability-AI/stablediffusion#image-inpainting-with-stable-diffusion"),p(ne,"rel","nofollow"),p(ie,"href","https://huggingface.co/runwayml/stable-diffusion-inpainting"),p(ie,"rel","nofollow"),p(se,"href","https://huggingface.co/stabilityai/stable-diffusion-2-inpainting"),p(se,"rel","nofollow"),p(xe,"href","/docs/diffusers/v0.14.0/en/api/diffusion_pipeline#diffusers.DiffusionPipeline"),p(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(n,u){e(document.head,h),_(n,C,u),_(n,b,u),e(b,m),e(m,w),$(l,w,null),e(b,v),e(b,ke),e(ke,bt),_(n,Re,u),_(n,M,u),e(M,N),e(N,Se),$(Q,Se,null),e(M,vt),e(M,Ee),e(Ee,yt),_(n,Je,u),_(n,y,u),e(y,wt),e(y,Y),e(Y,It),e(y,xt),e(y,R),e(R,Pt),e(y,$t),e(y,J),e(J,Dt),e(y,kt),e(y,X),e(X,St),e(y,Et),e(y,ye),e(ye,Ct),e(y,jt),_(n,Xe,u),_(n,we,u),e(we,Tt),_(n,Ze,u),_(n,U,u),e(U,Z),e(Z,Ce),e(Ce,Lt),e(Z,At),e(Z,ee),e(ee,qt),e(U,Mt),e(U,te),e(te,je),e(je,Ot),e(te,Nt),e(te,ne),e(ne,Ut),_(n,et,u),_(n,Ie,u),e(Ie,Ft),_(n,tt,u),_(n,F,u),e(F,ae),e(ae,Te),e(Te,Vt),e(ae,zt),e(ae,ie),e(ie,Gt),e(F,Wt),e(F,oe),e(oe,Le),e(Le,Bt),e(oe,Ht),e(oe,se),e(se,Kt),_(n,nt,u),_(n,c,u),$(re,c,null),e(c,Qt),e(c,le),e(le,Yt),e(le,Ae),e(Ae,Rt),e(le,Jt),e(c,Xt),e(c,pe),e(pe,Zt),e(pe,xe),e(xe,en),e(pe,tn),e(c,nn),e(c,T),$(fe,T,null),e(T,an),e(T,qe),e(qe,on),e(T,sn),$(V,T,null),e(c,rn),e(c,L),$(de,L,null),e(L,ln),e(L,Me),e(Me,pn),e(L,fn),e(L,Oe),e(Oe,dn),e(c,cn),e(c,z),$(ce,z,null),e(z,mn),e(z,me),e(me,un),e(me,Ne),e(Ne,hn),e(me,gn),e(c,_n),e(c,I),$(ue,I,null),e(I,bn),e(I,Ue),e(Ue,vn),e(I,yn),e(I,Fe),e(Fe,wn),e(I,In),e(I,Ve),e(Ve,xn),e(I,Pn),$(G,I,null),e(c,$n),e(c,W),$(he,W,null),e(W,Dn),e(W,ze),e(ze,kn),e(c,Sn),e(c,B),$(ge,B,null),e(B,En),e(B,E),e(E,Cn),e(E,Ge),e(Ge,jn),e(E,Tn),e(E,We),e(We,Ln),e(E,An),e(E,Be),e(Be,qn),e(E,Mn),e(E,He),e(He,On),e(E,Nn),e(c,Un),e(c,H),$(_e,H,null),e(H,Fn),e(H,O),e(O,Vn),e(O,Ke),e(Ke,zn),e(O,Gn),e(O,Qe),e(Qe,Wn),e(O,Bn),at=!0},p(n,[u]){const be={};u&2&&(be.$$scope={dirty:u,ctx:n}),V.$set(be);const Ye={};u&2&&(Ye.$$scope={dirty:u,ctx:n}),G.$set(Ye)},i(n){at||(D(l.$$.fragment,n),D(Q.$$.fragment,n),D(re.$$.fragment,n),D(fe.$$.fragment,n),D(V.$$.fragment,n),D(de.$$.fragment,n),D(ce.$$.fragment,n),D(ue.$$.fragment,n),D(G.$$.fragment,n),D(he.$$.fragment,n),D(ge.$$.fragment,n),D(_e.$$.fragment,n),at=!0)},o(n){k(l.$$.fragment,n),k(Q.$$.fragment,n),k(re.$$.fragment,n),k(fe.$$.fragment,n),k(V.$$.fragment,n),k(de.$$.fragment,n),k(ce.$$.fragment,n),k(ue.$$.fragment,n),k(G.$$.fragment,n),k(he.$$.fragment,n),k(ge.$$.fragment,n),k(_e.$$.fragment,n),at=!1},d(n){t(h),n&&t(C),n&&t(b),S(l),n&&t(Re),n&&t(M),S(Q),n&&t(Je),n&&t(y),n&&t(Xe),n&&t(we),n&&t(Ze),n&&t(U),n&&t(et),n&&t(Ie),n&&t(tt),n&&t(F),n&&t(nt),n&&t(c),S(re),S(fe),S(V),S(de),S(ce),S(ue),S(G),S(he),S(ge),S(_e)}}}const Fa={local:"textguided-image-inpainting",sections:[{local:"diffusers.StableDiffusionInpaintPipeline",title:"StableDiffusionInpaintPipeline"}],title:"Text-Guided Image Inpainting"};function Va(ve){return Ma(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ka extends Ta{constructor(h){super();La(this,h,Va,Ua,Aa,{})}}export{Ka as default,Fa as metadata};
